> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 刪除鈎子

> 永久移除已安裝的鈎子。

## 路徑參數

<ParamField path="id" type="string" required>
  鈎子的 UUID。
</ParamField>

## 響應

```json theme={null}
{ "deleted": true }
```

## 身份驗證

需要具有 `completions` 權限範圍的 API 密鑰。

## 示例

<CodeGroup>
  ```bash curl theme={null}
  curl -X DELETE https://www.hitheo.ai/api/v1/hooks/HOOK_ID \
    -H "Authorization: Bearer $THEO_API_KEY"
  ```

  ```typescript SDK theme={null}
  await theo.deleteHook("HOOK_ID");
  ```
</CodeGroup>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.